/*

div#primary .content-area
- main#main  .site-main
	- nav.woocommerce-breadcrumb
	- div#primary .content-area
		- main#main  .site-main
		- header.woocommerce-products-header



*/


/*---------------------------------------------------------- 
IN FULL ////////////////////////////////////////////////////
----------------------------------------------------------*/
.woocommerce-products-header, 
.woocommerce-result-count,  
.woocommerce-breadcrumb, 
.woocommerce-ordering, 
.products, 
.woocommerce-notices-wrapper, 
.wp-block-woocommerce-cart, 
.wp-block-woocommerce-checkout, 
.woocommerce-order {
	padding-inline: clamp(40px, 40px, 80px)!important;
	}



/* ------------------------------------
---   HEADER NATIVO ///////////////
-------------------------------------*/
div#primary{
	display:flex;
	flex-flow:row wrap;
	padding-inline:0px;
	width:100%;
	}


/*---------------------------------------------------------- 
DIV MAIN  /////////////////////////////////////////////////
----------------------------------------------------------*/
main#main {
	display:flex;
	flex-flow:row wrap;
	width:100%;
	}


/*------------------------------------------------ 
--- BREADCRUMB /////////////////////////////
------------------------------------------------*/
nav.woocommerce-breadcrumb{
	background-color:var(--color-main);
	align-items:center;
	align-content:center;
	display:flex;
	height:40px;
	line-height:40px;
	flex-flow:row wrap;
	padding-block:5px!important;
	width:100%;
	}


nav.woocommerce-breadcrumb *{
	color:var(--color-white);
	display:flex;
	flex-flow:row wrap;
	align-items:center;
	align-content:center;
	}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb a {
	color:var(--color-main-softer);
	}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb {
	color:var(--color-white);
}



/*------------------------------------------------ 
--- > DIV PRIMARY ////////////////////////////
------------------------------------------------*/
div#primary >  main#main  > div#primary{
	display:flex;
	flex-flow:row wrap;
	width:100%;
	}

/*---------------------------------------------------------- 
DIV PRIMARY > DIV MAIN  ////////////////////////////////////
----------------------------------------------------------*/
div#primary >  main#main  > div#primary > main#main{
	display:flex;
	flex-flow:row wrap;
	width:100%;
	}

/*------------------------------------------------ 
--- PRODUCTS HEADER /////////////////////////////
------------------------------------------------*/
div#primary >  main#main  > div#primary > main#main .woocommerce-products-header {
	display:none;
	flex-flow:row wrap;
	width:100%;
	}

/*------------------------------------------------ 
--- RESULT COUNT /////////////////////////////////
------------------------------------------------*/
div#primary >  main#main  > div#primary > main#main p.woocommerce-result-count{
	width:100%;
	}


/*------------------------------------------------ 
--- ORDENERING /////////////////////////////////
------------------------------------------------*/
form.woocommerce-ordering {
	/*background-color:red!important;*/
	height:auto;
	}


/*------------------------------------------------------------------------ 
UL PRODUCTS  /////////////////////////////////////////////////////////////
------------------------------------------------------------------------*/
ul.products {	
	align-items:stretch;
	display:grid;
	grid-template-columns:repeat(auto-fill, minmax(260px, 1fr)); /* set */
	grid-gap:var(--gap-second);
	width:100%;
	}


ul.products::before,
ul.products::before {
    display: none!important;
	}



/* Item product
--------------------------------------*/
ul.products li.product{
	display:flex!important;
	flex-flow:row wrap!important;
	float:none;
	justify-content:flex-start;
	gap:4px!important;
	margin-inline:0px!important;
	width:100%!important;
	}

/* product item */
ul.products li.product {
	border-radius:24px;
	border:1px solid var(--color-neutro-softer);
	overflow:hidden;
	padding-block-end:12px!important;
	transition:all 0.1s;
	}

ul.products li.product:hover {
	box-shadow:0px 0px 4px rgba(0, 0, 0, 0.2);
	transform:scale(1.06);
	}



ul.products li.product > a > *{
	margin:0px!important;
	padding:0px!important;
	}


/* Product img
--------------------------------------*/

ul.products li.product > a > img{
	
	}



/* Product title
--------------------------------------*/
ul.products li.product  .woocommerce-loop-product__title,
ul.products li.product  a h2{
	margin-top:8px!important;
	padding-inline:20px!important;
	width:100%;
	}


/* Product price
--------------------------------------*/
ul.products li.product .price{
	color:var(--color-main);
	padding-inline:20px!important;
	width:100%;
	}

ul.products li.product .price bdi{
	color:var(--color-main)!important;
	}

/* Item boton
--------------------------------------*/
li.product .button,
li.product .product_type_simple,
li.product .add_to_cart_button,
li.product .added_to_cart{
	border:0px;
	display:flex;
	flex-flow:row wrap;
	align-items:center;
	align-content:center;
	justify-content:center;
	text-align:center!important;
	margin:0px auto!important;
	padding:0px;
	}

li.product .button,
li.product .product_type_simple,
li.product .add_to_cart_button,
li.product .added_to_cart {
	background-color:var(--color-main-soft);
	color:var(--color-white);
	border-radius:99px!important;
	height:36px!important;
	width:calc(100% - 40px);
	}


li.product .button:hover,
li.product .product_type_simple:hover,
li.product .add_to_cart_button:hover,
li.product .added_to_cart:hover {
	background-color:var(--color-main);
	color:var(--color-white);
	}

/* boton dspues de ser añadido
--------------------------------------*/
li.product .button.added {
	background-color:var(--color-main-softer);
	}


/* Ver carrito despues de añadir
--------------------------------------*/
li.product .added_to_cart {
	color:var(--color-white);
	background-color:var(--color-main-soft);
	}
li.product .added_to_cart:hover {
	color:var(--color-white);
	background-color:var(--color-main);
	}




/* Content
--------------------------------------*/
ul.products li.product{
	height:auto;
	}

ul.products li.product a,
ul.products li.product a > *{
	text-align:left;
	}

ul.products li.product .price{
	/*border:1px solid red;*/
}

ul.products li.product .woocommerce-loop-product__title {
	/*border:1px solid red;*/
}



/* Item footer
--------------------------------------*/
ul.products li.product .item-footer{
	height:auto;
	}




/* Button add to cart
--------------------------------------*/
ul.products li.product .item-footer .add_to_cart_button,
ul.products li.product .item-footer .woocommerce-LoopProduct-link,
ul.products li.product .item-footer .woocommerce-loop-product__link, {
	cursor:pointer!important;
	}



/*------------------------------------------------------------------------ 
PRODUCT SINGLE  //////////////////////////////////////////////////////////
------------------------------------------------------------------------*/
body.single-product .product,
.type-product {
	gap:var(--gap-second)!important;
	height:auto;
 	}


body.single-product .product,
body.single-product .product .woocommerce-product-gallery,
body.single-product .product .summary,
body.single-product .product .summary > * {
	display:flex;
	flex-flow:row wrap;
	float:none;
	}


body.single-product  .product  h1.product_title{
	font-size:1.8em!important;
	}


body.single-product .product .woocommerce-product-gallery,
body.single-product .product  .summary {
	flex-grow:9;
	}

body.single-product .woocommerce-product-gallery {
	width:20%!important;
	}
body.single-product .summary {
	width:30!important;
	}

/* SUMMARY  */
body.single-product .summary{
	align-items:flex-start;
	align-content:flex-start;
	flex-flow:row wrap!important;
	gap:var(--gap);!important;
	margin:0px;
	padding:0px;
	}

body.single-product .summary > *{
	float:none;
	gap:var(--gap);
	width:100%;
	}

/* FORM CART */
body.single-product .summary form.cart{
	flex-flow:row wrap;
	justify-content:flex-start!important;
	}
body.single-product .summary form.cart > *{
	float:none;
	}


.single_add_to_cart_button {
	background-color:var(--color-main)!important;
	}



/*------------------------------------------------------------------------ 
NOTICES WREAPPER  /////////////////////////////////////////////////////////
------------------------------------------------------------------------*/
.woocommerce-notices-wrapper {
	align-items:center;
	align-content:center;
	display:flex;
	flex-flow:row wrap;
	width:100%;

	}

.woocommerce-notices-wrapper .woocommerce-message::before{
	align-items:center;
	align-content:center;
	display:flex;
	flex-flow:row wrap;
	width:auto;
}

.woocommerce-notices-wrapper .woocommerce-message{
	align-items:center;
	align-content:center;
	border:1px sold transparent!important;
	display:flex;
	flex-flow:row wrap;
	width:100%;
}

.woocommerce-notices-wrapper .woocommerce-message a{
	margin-left:auto!important;
}



/*------------------------------------------------------------------------ 
CART  ////////////////////////////////////////////////////////////////
------------------------------------------------------------------------*/
.wp-block-woocommerce-cart {
	height:auto;
	}




/*------------------------------------------------------------------------ 
CHECKOUT  ////////////////////////////////////////////////////////////////
------------------------------------------------------------------------*/
.wc-block-checkout,
.wp-block-woocommerce-checkout  {
	height:auto;
	}


.wc-block-checkout form > div,
.wp-block-woocommerce-checkout > form div  {
	width:100%;
	}

/*------------------------------------------------------------------------ 
WOOCOMMERE ORDER  ////////////////////////////////////////////////////////
------------------------------------------------------------------------*/
.woocommerce {
	height:auto;
	}

.woocommerce .woocommerce-order{ 
	height:auto;

}




/*------------------------------------------------------------------------ 
PRODUCTOS RELACIONADOS ////////////////////////////////////////////////////
------------------------------------------------------------------------*/

.related,
.related.products {
	padding-block:0px!important;
	margin-top:40px;
	}